Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.util
Class WorkThread

    java.lang.Object
      java.lang.Thread
          org.gjt.sp.util.WorkThread

All Implemented Interfaces:
  java.lang.Runnable

public class WorkThread
extends java.lang.Thread

Services work requests in the background.

Version:
  $Id: WorkThread.java,v 1.7 2003/03/12 17:01:50 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary
`static class` | `WorkThread.Abort`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`WorkThread(WorkThreadPool pool, java.lang.ThreadGroup group, java.lang.String name)`

Method Summary
`void` | `abortCurrentRequest()` Aborts the currently running request, if allowed.
`int` | `getProgressMaximum()` Returns the progress maximum.
`int` | `getProgressValue()` Returns the progress value.
`java.lang.String` | `getStatus()` Returns the status text.
`boolean` | `isRequestRunning()` Returns if the work thread is currently running a request.
`void` | `run()`
`void` | `setAbortable(boolean abortable)` Sets if the current request can be aborted.
`void` | `setProgressMaximum(int progressMaximum)` Sets the maximum progress value.
`void` | `setProgressValue(int progressValue)` Sets the progress value.
`void` | `setStatus(java.lang.String status)` Sets the status text.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkThread

    public WorkThread(WorkThreadPool pool,
                      java.lang.ThreadGroup group,
                      java.lang.String name)

Method Detail

### setAbortable

    public void setAbortable(boolean abortable)

  Sets if the current request can be aborted.

  Since:
    jEdit 2.6pre1

### isRequestRunning

    public boolean isRequestRunning()

  Returns if the work thread is currently running a request.

### getStatus

    public java.lang.String getStatus()

  Returns the status text.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the status text.

  Since:
    jEdit 2.6pre1

### getProgressValue

    public int getProgressValue()

  Returns the progress value.

### setProgressValue

    public void setProgressValue(int progressValue)

  Sets the progress value.

  Since:
    jEdit 2.6pre1

### getProgressMaximum

    public int getProgressMaximum()

  Returns the progress maximum.

### setProgressMaximum

    public void setProgressMaximum(int progressMaximum)

  Sets the maximum progress value.

  Since:
    jEdit 2.6pre1

### abortCurrentRequest

    public void abortCurrentRequest()

  Aborts the currently running request, if allowed.

  Since:
    jEdit 2.6pre1

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD